package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.system.TSchoolStype;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SchoolStypeMapper extends TkMapper<TSchoolStype> {
    //通过域名获取学校样式列表
    List<TSchoolStype> findAll(@Param("stype") TSchoolStype stype);
    //通过学校id获取学校样式列表
    List<TSchoolStype> findAll2(@Param("stype") TSchoolStype stype);

    //批量添加
    void batchSave(@Param("list") List<TSchoolStype> list);
}
